package com.dhcc.finance.main.service;

import java.util.Date;
import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwNcAdvance;
import com.github.pagehelper.PageInfo;

public interface CwNcAdvanceService {
	/**
	 * 功能描述:查询NC垫付款明细列表
	 * @param xtxmbh
	 * @param begindate
	 * @param enddate
	 * @return RestfulResponse<PageInfo<CwNcAdvance>,CurrencyMeta>
	 *@author likai
	 *@data 2020年5月5日上午11:02:41
	 *修改日志
	 */
	RestfulResponse<List<CwNcAdvance>, CurrencyMeta> searchNcAdvance(String xtxmbh,String begindate,String enddate);
}
