package com.dhcc.finance.main.model;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwGlFreevalueInfo",description = "辅助信息")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlFreevalueInfo {
    @ApiModelProperty(value = "辅助核算类型", required = false, example = "")
    private String checktype;
    
    @ApiModelProperty(value = "辅助核算类型", required = false, example = "")
    private String name;

    @ApiModelProperty(value = "辅助核算值", required = false, example = "")
    private String checkvalue;
    
    @ApiModelProperty(value = "辅助项中文名", required = false, example = "")
    private String checkname;

    @ApiModelProperty(value = "金额", required = false, example = "")
    private BigDecimal debitamount;

    @ApiModelProperty(value = "来源系统", required = false, example = "")
    private String pkSystem;

}
